Bug 70646 - Error when sending to master document should be more explicit
Summary: Error when sending to master document should be more explicit
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: NoRepro:4.2.0.0.beta1:Ubuntu NoRepro:...
Keywords:
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2013-10-19 11:36 UTC by Pierre C
Modified: 2018-09-30 02:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
creating master doc (56.60 KB, image/png)
2013-11-25 20:21 UTC, Pierre C
Details
error message (50.31 KB, image/png)
2013-11-25 20:22 UTC, Pierre C
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre C 2013-10-19 11:36:13 UTC
Master document is a key feature Of LibreOffice and anything that could simplify using it should be done

When you want to create a master doc from your current doc, yo can use the File/send/Create Master Document action.

If you do so and if your document do not use any heading style (Heading n) you will have an error message : "Can't create document"

With this message you haven't got any information to solve the problem. The message should be more explicit and should tell where the error come from.

An second step could be to allow creating a master doc form a document with no heading style AFAIK, I don't see any reason for not allowing it.

Please be gentle with my poor English

Pierre
Comment 1 pierre-yves samyn 2013-10-22 09:59:21 UTC
Hello

I confirm the request...

This limitation of operation is troublesome. It may be noted that when the document starts with text not formatted in a style "Heading 1", this text is included in the body of the master document, before the sections linked to the sub-documents... 

It is therefore difficult to see why the text "off Title1" not allow the creation of a master document.

Regards
Pierre-Yves
Comment 2 Robinson Tryon (qubit) 2013-11-24 22:36:23 UTC
NoRepro on LO Version: 4.2.0.0.beta1 + Ubuntu 12.04.3

(In reply to comment #0)
> When you want to create a master doc from your current doc, yo can use the
> File/send/Create Master Document action.
> 
> If you do so and if your document do not use any heading style (Heading n)
> you will have an error message : "Can't create document"

Repro:
- Open LibreOffice
- Type "Hello, world!"
- Navigate: File -> Send -> Create Master Document
- Save

I'm not sure how to reproduce this error.

> With this message you haven't got any information to solve the problem. The
> message should be more explicit and should tell where the error come from.
> 

That error message does sound very vague.

> An second step could be to allow creating a master doc form a document with
> no heading style AFAIK, I don't see any reason for not allowing it.

That may be why I can't repro this bug :-)

What version of LO were you using to test? Please try testing with a current stable build here:
https://www.libreoffice.org/download/
Comment 3 Pierre C 2013-11-25 05:56:56 UTC
@ Qubit

I've just done what you did (LO 4.1.3 French) :

1 hello world 
2 send to master doc 
3 error message "document could not be created"

Are you sure that you had created an ODM file ? (not odt)
Comment 4 Robinson Tryon (qubit) 2013-11-25 06:14:08 UTC
(In reply to comment #3)
> @ Qubit
> 
> I've just done what you did (LO 4.1.3 French) :
> 
> 1 hello world 
> 2 send to master doc 
> 3 error message "document could not be created"
> 
> Are you sure that you had created an ODM file ? (not odt)

Yes -- I created an ODM file. I just confirmed that these repro steps work for me to create an ODM file using LO 4.1.2.3 (also on Ubuntu 12.04.3).

What OS are you using?
Comment 5 Pierre C 2013-11-25 19:13:10 UTC
@ Qubit...

I'm working on Seven x64. This bug as been confirmed on French QA List.
This bug is present since at least LO 3.6

Indeed, if you haven't any heading style, you can't create a master document.
The master document should be created with child documents, each child containing text between two heading style. So I'm surprised that you can create a master document by this way with no heading style in your document
Comment 6 Robinson Tryon (qubit) 2013-11-25 20:07:03 UTC
(In reply to comment #5)
> @ Qubit...
> 
> I'm working on Seven x64.

Is that Windows7 64bit?

Joren - This should be a 1 minute Confirm/NoRepro on your Windows machine.

> This bug as been confirmed on French QA List.
> This bug is present since at least LO 3.6

Ok.

Sophi - On what platforms can French QA (no)repro this issue?

> Indeed, if you haven't any heading style, you can't create a master document.

Hmm... I don't see that documented:
https://help.libreoffice.org/Common/Create_Master_Document
https://help.libreoffice.org/Writer/Master_Documents_and_Subdocuments

> The master document should be created with child documents, each child
> containing text between two heading style. So I'm surprised that you can
> create a master document by this way with no heading style in your document

It looks like one can create a master document with zero (or more child documents):
https://help.libreoffice.org/Writer/Working_with_Master_Documents_and_Subdocuments#To_Create_a_Master_Document

Following that step-by-step list, I don't see any requirement that I have to enter a child document -- all of the inner steps after File -> New -> Master Document appear rather optional.
Comment 7 Pierre C 2013-11-25 20:21:06 UTC
Created attachment 89772 [details]
creating master doc
Comment 8 Pierre C 2013-11-25 20:22:54 UTC
Created attachment 89773 [details]
error message
Comment 9 Pierre C 2013-11-25 20:25:11 UTC
Yes, it's windows Seven x64.

I've just done a new test on a VMWare, XP (32 bits) and LibO 3.5. Exactly the same error message. 

I've added two attachments  showing the way to get the error message.
Comment 10 Pierre C 2013-11-25 20:26:42 UTC
New test With LO 4.2.0.0beta1 -> same error
Comment 11 Jorendc 2013-11-25 20:56:10 UTC
I can reproduce this behavior, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: 4995c2e877dbe8e1301624b758aebd5a2e750cf4
TinderBox: Win-x86@47-TDF, Branch:master, Time: 2013-11-24_22:49:49

The error message is: "Can't create document."

I can confirm this is a Windows only bug, I also tested it using Mac OSX 10.9 with latest master: failed to reproduce too.

As far I can see this string only hits 1 result here : http://opengrok.libreoffice.org/xref/core/sw/source/ui/app/app.src#200

Which is used here: http://opengrok.libreoffice.org/xref/core/sw/source/ui/app/docsh2.cxx#1083

Kind regards,
Joren
Comment 12 Robinson Tryon (qubit) 2013-11-25 21:20:50 UTC
Fix tag in whiteboard (Joren makes a compelling argument for me to bulk-change 'Confirmed' -> 'Repro', but I'm going to punt on that change for now)
Comment 13 Pierre C 2013-11-27 19:23:11 UTC
So, this is not an enhancement request but a window's specific bug
Comment 14 Pierre C 2014-12-16 20:53:55 UTC
Still on 4.3.5.2
Comment 15 QA Administrators 2015-12-20 16:12:09 UTC Comment hidden (obsolete)
Comment 16 Pierre C 2015-12-20 17:39:29 UTC
Still present in LO 5.0.4.2
Comment 17 QA Administrators 2017-01-03 19:48:00 UTC Comment hidden (obsolete)
Comment 18 Pierre C 2017-01-04 13:04:11 UTC
This is a 3 years old bug. And No one is working on it

yes, it is still present on LO 5.2.4.2

This is the last time I answer this automated message.

You can close this to improve LO QA stats if you want
Comment 19 mlennert 2017-09-29 14:11:45 UTC
I can actually confirm the bug on Debian GNU/Linux test (with Version: 5.4.1.2.0+
Build ID: 1:5.4.1-1). The issue seems to be language settings. When I use LibreOffice in French, I get the error using the 'Hello, World' example. When I set the user interface language to US English, I don't.
Comment 20 QA Administrators 2018-09-30 02:49:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug